/*
 * Copyright
 *   2007 axYus - www.axyus.com
 *   2009 C.Marchand - christophe.marchand@axyus.com
 *
 * This file is part of XEMELIOS.
 *
 * XEMELIOS is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * XEMELIOS is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with XEMELIOS; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package fr.gouv.finances.dgfip.xemelios.web.gwt.client.dto;

import com.google.gwt.user.client.rpc.IsSerializable;

/**
 *
 * @author chm
 */
public class ConfigExportDTO implements java.io.Serializable {
    private String id, docID, etatID, owner, dateCreation, code, libelle;
    private ExportModelDTO exportModel = null;

    public ConfigExportDTO() {
        super();
    }

    public ConfigExportDTO(String id, String docId, String etatId, String owner, String dateCreation, String code, String libelle) {
        this();
        this.id=id;
        this.docID=docId;
        this.etatID=etatId;
        this.owner=owner;
        this.dateCreation=dateCreation;
        this.code=code;
        this.libelle=libelle;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getDateCreation() {
        return dateCreation;
    }

    public void setDateCreation(String dateCreation) {
        this.dateCreation = dateCreation;
    }

    public String getDocID() {
        return docID;
    }

    public void setDocID(String docID) {
        this.docID = docID;
    }

    public String getEtatID() {
        return etatID;
    }

    public void setEtatID(String etatID) {
        this.etatID = etatID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getLibelle() {
        return libelle;
    }

    public void setLibelle(String libelle) {
        this.libelle = libelle;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public ExportModelDTO getExportModel() {
        return exportModel;
    }

    public void setExportModel(ExportModelDTO exportModel) {
        this.exportModel = exportModel;
    }
    
}
